List transformation jobs
curl --request GET \
--url https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/create-project \
--header 'x-api-key: <api-key>'import requests
url = "https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/create-project"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/create-project', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"totalJobCount": 123,
"jobs": [
{
"id": 123,
"name": "<string>",
"created": "2023-11-07T05:31:56Z",
"totalDownloadFileCount": 123,
"totalDownloadFileSize": 123,
"totalDownloadFileSizeString": "<string>",
"totalTimeSpentString": "<string>",
"organizationId": 123,
"uploadJobId": 123,
"projectOwner": "<string>",
"projectId": 123,
"projectName": "<string>",
"transformationBlockId": 123,
"builtinTransformationBlock": {},
"transformationBlockName": "<string>",
"outputDatasetName": "<string>",
"outputDatasetBucketId": 123,
"outputDatasetBucketPath": "<string>",
"totalUploadFileCount": 123,
"totalTimeSpentSeconds": 123,
"createdByUser": {
"id": 123,
"name": "<string>",
"username": "<string>",
"photo": "<string>"
}
}
],
"error": "<string>"
}List transformation jobs
Get list of transformation jobs.
GET
/
api
/
organizations
/
{organizationId}
/
create-project
List transformation jobs
Authorizations
ApiKeyAuthenticationJWTAuthenticationJWTHttpHeaderAuthenticationOAuth2
Path Parameters
Organization ID
Query Parameters
Maximum number of results
Offset in results, can be used in conjunction with LimitResultsParameter to implement paging.
If enabled, also includes jobs that are part of a pipeline
Was this page helpful?
⌘I